package com.tuoheng.admin.controller;

import com.alibaba.fastjson.JSON;
import com.tuoheng.admin.request.dept.AddDeptRequest;
import com.tuoheng.admin.request.dept.EditDeptRequest;
import com.tuoheng.admin.request.dept.QueryDeptChildPageListRequest;
import com.tuoheng.admin.service.airport.AirportService;
import com.tuoheng.admin.service.dept.IDeptService;
import com.tuoheng.admin.vo.AirLineVO;
import com.tuoheng.admin.vo.AirPortVO;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * 机场前端控制器
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-23
 */
@Slf4j
@RestController
@RequestMapping("/airport")
public class AirportController {

    @Autowired
    AirportService airportService;

    /**
     * 获取巡检机场
     */
    @GetMapping("/airport")
    public JsonResult getAirportList() {
        return airportService.getAirportList();
    }

    /**
     * 获取巡检线路
     * @param droneId 机场列表里面的droneId
     * @return
     */
    @GetMapping("/airport/line/{droneId}")
    public JsonResult getAirLineList(@PathVariable("droneId") Integer droneId) {
        return airportService.getAirLineList(droneId);
    }

}
