package com.tuoheng.admin.mapper;

import java.util.List;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.admin.request.inspection.QueryInspectionPageListRequest;
import org.apache.ibatis.annotations.Param;

/**
 * 巡检任务Mapper接口
 *
 * @team tuoheng
 * @author wanjing
 * @date 2022-11-16
 */
public interface InspectionMapper {
    /**
     * 查询巡检任务
     * 
     * @param request 巡检任务查询实体
     * @return 巡检任务
     */
     Inspection selectOneById(QueryInspectionPageListRequest request);

    /**
     * 查询巡检任务分页列表
     *
     * @param request 巡检任务查询实体
     * @return 巡检任务集合
     */
    Page<Inspection> selectPageList(@Param("page") Page<Inspection> page, @Param("request") QueryInspectionPageListRequest request);

    /**
     * 查询巡检任务列表
     *
     * @param request 巡检任务查询实体
     * @return 巡检任务集合
     */
     List<Inspection> selectList(QueryInspectionPageListRequest request);

    /**
     * 新增巡检任务
     * 
     * @param inspection 巡检任务
     * @return 结果
     */
     int insert(Inspection inspection);

    /**
     * 修改巡检任务
     * 
     * @param inspection 巡检任务
     * @return 结果
     */
     int update(Inspection inspection);

    /**
     * 删除巡检任务
     * 
     * @param id 巡检任务主键
     * @return 结果
     */
     int deleteById(String id);

    /**
     * 批量删除巡检任务
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
     int deleteByIds(String[] ids);
}
