package com.tuoheng.admin.service.inspection;

import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.admin.request.inspection.QueryInspectionPageListRequest;
import com.tuoheng.common.core.utils.JsonResult;

/**
 * 巡检任务Service接口
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-16
 */
public interface IInspectionService {

    /**
     * 查询巡检任务列表(分页)
     *
     * @param queryInspectionRequest 巡检任务查询实体
     * @return 巡检任务集合
     */
    JsonResult selectPageList(QueryInspectionPageListRequest queryInspectionRequest);

    /**
     * 查询巡检任务
     *
     * @param queryInspectionRequest 巡检任务查询实体
     * @return 巡检任务
     */
    JsonResult selectOneById(QueryInspectionPageListRequest queryInspectionRequest);

    /**
     * 查询巡检任务列表
     *
     * @param queryInspectionRequest 巡检任务查询实体
     * @return 巡检任务集合
     */
    JsonResult selectList(QueryInspectionPageListRequest queryInspectionRequest);

    /**
     * 新增巡检任务
     *
     * @param Inspection 巡检任务
     * @return 结果
     */
    JsonResult insert(Inspection Inspection);

    /**
     * 修改巡检任务
     *
     * @param Inspection 巡检任务
     * @return 结果
     */
    JsonResult update(Inspection Inspection);

    /**
     * 批量删除巡检任务
     *
     * @param ids 需要删除的巡检任务主键集合
     * @return 结果
     */
    JsonResult deleteByIds(String[] ids);

    /**
     * 删除巡检任务信息
     *
     * @param id 巡检任务主键
     * @return 结果
     */
    JsonResult deleteById(String id);
}
