package com.tuoheng.admin.service.inspection.query;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.admin.mapper.InspectionMapper;
import com.tuoheng.admin.request.inspection.QueryInspectionPageListRequest;
import com.tuoheng.admin.utils.ShiroUtils;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *  查询巡检任务分页列表业务层处理
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-22
 */
@Slf4j
@Service
public class QueryInspectionPageListService {

    @Autowired
    private InspectionMapper inspectionMapper;

    public JsonResult getPageList(QueryInspectionPageListRequest queryInspectionRequest) {
        log.info("进入查询巡检任务分页列表业务");
        String tenantId = ShiroUtils.getTenantId();

        JsonResult result = this.check(tenantId, queryInspectionRequest);
        if (0 != result.getCode()) {
            log.info("进入查询巡检任务分页列表业务：校验失败：{}", result.getMsg());
            return result;
        }

        Page<Inspection> page = new Page(queryInspectionRequest.getPage(), queryInspectionRequest.getLimit());
        Page<Inspection> pageList = inspectionMapper.selectPageList(page, queryInspectionRequest);

        // 查询所有有效的子部门数据
//        IPage<Inspection> page = new Page<>(queryInspectionRequest.getPage(), queryInspectionRequest.getLimit());
//        IPage<Inspection> pageData = inspectionMapper.selectList(page, queryInspectionRequest);
//        List<Inspection> inspectionList = pageData.getRecords();
//        List<Inspection> list = new ArrayList<>();
//        for (Inspection inspection : inspectionList) {
//            list.add(inspection);
//        }
//        pageData.setRecords(list);
//
//        if (CollectionUtil.isEmpty(inspectionList)) {
//            log.info("获取子部门列表为空");
//            return JsonResult.error(QueryDeptChildListCodeEnum.DEPT_LIST_IS_NULL.getCode(), QueryDeptChildListCodeEnum.DEPT_LIST_IS_NULL.getMsg());
//        }

        return JsonResult.success();
    }

    /**
     * 检查参数
     * @param tenantId
     * @param queryInspectionRequest
     * @return
     */
    private JsonResult check(String tenantId, QueryInspectionPageListRequest queryInspectionRequest) {
        // 判断id是否为空
//        if (StringUtils.isEmpty(id)) {
//            return JsonResult.error(QueryDeptChildListCodeEnum.DEPT_ID_IS_NULL.getCode(), QueryDeptChildListCodeEnum.DEPT_ID_IS_NULL.getMsg());
//        }


        return JsonResult.success();
    }

}
